> For the complete documentation index, see [llms.txt](https://docs.eximee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/5-dokumenty-i-zaloczniki/generator-dokumentow-documentgenerator/dokument-generowany-ze-skryptu.md).

# Document generated from script

{% hint style="info" %}
Availability of functionality depends on the license and may not be available in all deployments.
{% endhint %}

The document can be generated using a script that the form designer provides in the document generator configuration. In this case, use **the generator type** 'documentFromScript'.

Configuration example (XML fragment):

{% code title="Example form source" %}

```xml
<data:DocumentGeneratorItems>
  <data:DocumentGeneratorItem 
      generatorName="documentFromScript" 
      fileName="Good Start Application.pdf" 
      scriptName="adap_document-*"/>
</data:DocumentGeneratorItems>
```

{% endcode %}

The new generator type is distinguished by two key elements:

* **generatorName** must take the value *documentFromScript*
* **scriptName** indicates the script service in the format: SCRIPT\_SERVICE\_NAME-VERSION\_NUMBER (e.g. adap\_document-\*).

The script service, which is connected to the document generator, should return two fields:

* **output** - file content encoded in base64 format (required),
* **fileMimeType** - file content-type; optional parameter – if it is not returned, the generator will assume the default value '*application/pdf*'.

{% hint style="warning" %}
NOTE! The script service does not support methods:

* getParameters()
* getFirstParameter()
* getInputParameters()

To, for example, retrieve the values of components from the application, you can use the getValue() method → example in demo\_generowanieDokumentu
{% endhint %}

{% hint style="info" %}
Demo applications: demoScriptDocumentGenerator (script: demo\_generowanieDokumentu) and demoDocumentGeneratorAndDocumentList (script: demoDocumentGeneratorScript)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/5-dokumenty-i-zaloczniki/generator-dokumentow-documentgenerator/dokument-generowany-ze-skryptu.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
